INTERFACE
SUBROUTINE CPWTS ( KPROMA, KSTART, KPROF, KCSS, PDT,&
 & PTDTS, PTDTP, PTDWS, PTDWSI,&
 & PTDWP, PTDWPI, PTDWL, PTDSNS,&
 & PTDALBNS, PTDRHONS,&
 & PTPCLI, PWPCLI, PLSM, PIVEG,&
 & PTS1, PTP1, PWS1, PWSI1, PWP1, PWPI1, PWL1, PSNS1,&
 & PALBNS1, PRHONS1 ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KCSS
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PDT
REAL(KIND=JPRB) ,INTENT(IN) :: PTDTS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTDTP(KPROMA,KCSS)
REAL(KIND=JPRB) ,INTENT(IN) :: PTDWS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTDWSI(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTDWP(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTDWPI(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTDWL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTDSNS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTDALBNS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTDRHONS(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTPCLI(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PWPCLI(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PIVEG(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTS1(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTP1(KPROMA,KCSS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWS1(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWSI1(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWP1(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWPI1(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWL1(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSNS1(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALBNS1(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRHONS1(KPROMA)
END SUBROUTINE CPWTS
END INTERFACE
